Uploaded image for project: 'Appcelerator CLI'
  1. Appcelerator CLI
  2. CLI-1090

update-notifier still getting installed

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: Release 6.0.0
    • Fix Version/s: Release 6.0.0
    • Component/s: Core
    • Labels:
    • Environment:

      OSX 10.11.6
      Appc CLI: 6.0.0-36
      Appc NPM: 4.2.8-6

    • Severity:
      Minor
    • Story Points:
      1
    • Sprint:
      2016 Sprint 19 Tooling

      Description

      Description

      API-1310 removed update-notifier, however when installing appcelerator npm package it still gets installed, this is because the npm shrinkwrap file still references the package here.

      Steps to reproduce
      1. Install appc npm using npm i -g appcelerator@4.2.8-6
      Actual results

      update-notifier is installed

      Expected results

      update-notifier should not be installed as it's not used

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                cng Chee Kiat Ng (Inactive)
                Reporter:
                eharris Ewan Harris
                Reviewer:
                Feon Sua Xin Miao
              • Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Source Code